# POST - Activate Card (Physical)

### Activate card

***

### End point

```markup
https://api.up.money/cards/activate/{cardid}
```

### Headers

<details>

<summary>Security</summary>

**REQUEST BODY SCHEMA: application/json**

&#x20;:closed\_lock\_with\_key: **API SECRET: x-secret**

Add `YWJjMTIzIQ==` in  `x-secret` in headers.  &#x20;

**Header parameter name:** `x-secret`

***

&#x20;:lock\_with\_ink\_pen:  **HTTP:** `Authorization-key`

The authentication token representing the user. This will be included in the login response object as `token`.&#x20;

**Header parameter name:** `Authorization-key`

</details>

***

### **Path Parameters**

***

<table><thead><tr><th width="223"></th><th></th></tr></thead><tbody><tr><td>cardId <mark style="color:red;">(required)</mark></td><td><code>string</code> <code>^[0-9]+$</code></td></tr></tbody></table>

### **Body Parameters**

***

<table><thead><tr><th width="223"></th><th></th></tr></thead><tbody><tr><td>activationCode <mark style="color:red;">(required)</mark></td><td><code>string</code> <code>&#x3C;= 6 characters</code> <code>^[0-9]+$</code><br>The code, set up when upgrading the card, that allows the physical card to be activated.</td></tr></tbody></table>

***

### Sample Request

***

```javascript
curl --location 'https://api.up2.money/cards/activate/{cardId}' \
--header 'x-secret: YWJjMTIzIQ==' \
--header 'Authorization-key: YOUR_AUTHORIZATION_KEY' \
--header 'Content-Type: application/json' \
--data '{
    "activationCode":123 // your activation code
}'
```

***

### Sample Response

***

{% tabs %}
{% tab title="Success - 200" %}

```json
{
  "id": "string",
  "profileId": "string",
  "externalHandle": "string",
  "tag": "string",
  "friendlyName": "string",
  "currency": "str",
  "state": {
    "state": "ACTIVE",
    "blockedReason": "USER",
    "destroyedReason": "SYSTEM"
  },
  "type": "VIRTUAL",
  "cardBrand": "MASTERCARD",
  "cardNumber": {
    "value": "string"
  },
  "cvv": {
    "value": "str"
  },
  "cardNumberFirstSix": "string",
  "cardNumberLastFour": "stri",
  "nameOnCard": "string",
  "nameOnCardLine2": "string",
  "startMmyy": "stri",
  "expiryMmyy": "stri",
  "cardLevelClassification": "CONSUMER",
  "expiryPeriodMonths": 1,
  "renewalType": "AUTO_RENEW",
  "creationTimestamp": 0,
  "cardholderMobileNumber": "string",
  "billingAddress": {
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "postCode": "string",
    "state": "string",
    "country": "st"
  },
  "physicalCardDetails": {
    "bulkDelivery": true,
    "productReference": "string",
    "carrierType": "string",
    "pendingActivation": true,
    "pinBlocked": true,
    "manufacturingState": "REQUESTED",
    "replacement": {
      "replacementReason": "DAMAGED",
      "replacementId": "string"
    },
    "deliveryAddress": {
      "name": "string",
      "surname": "string",
      "addressLine1": "string",
      "addressLine2": "string",
      "city": "string",
      "postCode": "string",
      "state": "string",
      "country": "st",
      "contactNumber": "string"
    },
    "deliveryMethod": "STANDARD_DELIVERY",
    "deliveryTrackingCode": "string",
    "deliveryTrackingMethod": "string",
    "nameOnCardLine2": "string"
  },
  "digitalWallets": {
    "pushProvisioningEnabled": true,
    "walletsEnabled": true,
    "artworkReference": "string"
  },
  "authForwardingDefaultTimeoutDecision": "APPROVE",
  "threeDSecureAuthConfig": {
    "linkedUserId": "string",
    "primaryChannel": "OTP_SMS",
    "fallbackChannel": "OTP_SMS"
  },
  "mode": "PREPAID_MODE",
  "externalData": [
    {
      "name": "string",
      "value": "string"
    }
  ],
  "balances": {
    "availableBalance": 0,
    "actualBalance": 0
  }
}
```

{% endtab %}

{% tab title="Error - 400" %}

```json
{
  "message": "string",
  "syntaxErrors": {
    "invalidFields": [
      {
        "params": [
          "string"
        ],
        "fieldName": "string",
        "error": "REQUIRED"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

***

### Response Status

***

<mark style="color:green;">**200 Success**</mark>

<details>

<summary><mark style="color:red;"><strong>400 Bad Request Error - Your request is invalid.</strong></mark></summary>

errorCode: Enum:  `"REQUIRED"` `"HAS_TEXT"` `"REQUIRES"` `"SIZE"` `"RANGE"` `"IN"` `"NOT_IN" "REGEX"` `"EXACTLY"` `"AT_LEAST"` `"AT_MOST"` `"ALL_OR_NONE"`

</details>

<mark style="color:red;">**401 Unauthorized - Your credentials or access token are invalid.**</mark>

<details>

<summary><mark style="color:red;">403 Forbidden - Access to the requested resource or action is forbidden.</mark></summary>

errorCode: Enum: `STEP_UP_REQUIRED` `ACCESS_TOKEN_REQUIRED`

</details>

<mark style="color:red;">**404 Not found - The requested resource couldn't be found.**</mark>

<details>

<summary><mark style="color:red;">409 Conflict</mark></summary>

errorCode: Enum:  `"INSTRUMENT_NOT_PHYSICAL"` `"INSTRUMENT_ALREADY_ACTIVATED"` `"ACTIVATION_CODE_INVALID"` `"INSTRUMENT_BLOCKED"` `"INSTRUMENT_DESTROYED"`

</details>

<mark style="color:red;">**429 Too many requests.**</mark>

<mark style="color:red;">**500 Internal Server Error - There is a problem with the server. Please try again later.**</mark>

<mark style="color:red;">**503 Service Unavailable - We're temporarily offline for maintenance. Please try again later.**</mark>

***

### E-nums

***

<table><thead><tr><th width="264"></th><th></th></tr></thead><tbody><tr><td><code>STEP_UP_REQUIRED</code><br></td><td>Current session is expired, Call stepup api to create new session</td></tr><tr><td><code>ACCESS_TOKEN_REQUIRED</code></td><td>Issue with your token (Invalid or expired)</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.up2.money/08.01/card-issuing/post-activate-card-physical.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
